export const ids = [
    '483'
];
export const modules = {
    "./node_modules/.pnpm/mermaid@11.4.1/node_modules/mermaid/dist/chunks/mermaid.core/sankeyDiagram-Y46BX6SQ.mjs": function(__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) {
        __webpack_require__.d(__webpack_exports__, {
            diagram: ()=>diagram
        });
        var chunk_6DBFFHIP = __webpack_require__("./node_modules/.pnpm/mermaid@11.4.1/node_modules/mermaid/dist/chunks/mermaid.core/chunk-6DBFFHIP.mjs");
        var src = __webpack_require__("./node_modules/.pnpm/d3@7.9.0/node_modules/d3/src/index.js");
        function sum_sum(values, valueof) {
            let sum = 0;
            if (void 0 === valueof) {
                for (let value of values)if (value = +value) sum += value;
            } else {
                let index = -1;
                for (let value of values)if (value = +valueof(value, ++index, values)) sum += value;
            }
            return sum;
        }
        function max_max(values, valueof) {
            let max;
            if (void 0 === valueof) {
                for (const value of values)if (null != value && (max < value || void 0 === max && value >= value)) max = value;
            } else {
                let index = -1;
                for (let value of values)if (null != (value = valueof(value, ++index, values)) && (max < value || void 0 === max && value >= value)) max = value;
            }
            return max;
        }
        function min_min(values, valueof) {
            let min;
            if (void 0 === valueof) {
                for (const value of values)if (null != value && (min > value || void 0 === min && value >= value)) min = value;
            } else {
                let index = -1;
                for (let value of values)if (null != (value = valueof(value, ++index, values)) && (min > value || void 0 === min && value >= value)) min = value;
            }
            return min;
        }
        function targetDepth(d) {
            return d.target.depth;
        }
        function left(node) {
            return node.depth;
        }
        function right(node, n) {
            return n - 1 - node.height;
        }
        function justify(node, n) {
            return node.sourceLinks.length ? node.depth : n - 1;
        }
        function center(node) {
            return node.targetLinks.length ? node.depth : node.sourceLinks.length ? min_min(node.sourceLinks, targetDepth) - 1 : 0;
        }
        function constant_constant(x) {
            return function() {
                return x;
            };
        }
        function ascendingSourceBreadth(a, b) {
            return ascendingBreadth(a.source, b.source) || a.index - b.index;
        }
        function ascendingTargetBreadth(a, b) {
            return ascendingBreadth(a.target, b.target) || a.index - b.index;
        }
        function ascendingBreadth(a, b) {
            return a.y0 - b.y0;
        }
        function sankey_value(d) {
            return d.value;
        }
        function defaultId(d) {
            return d.index;
        }
        function defaultNodes(graph) {
            return graph.nodes;
        }
        function defaultLinks(graph) {
            return graph.links;
        }
        function find(nodeById, id) {
            const node = nodeById.get(id);
            if (!node) throw new Error("missing: " + id);
            return node;
        }
        function computeLinkBreadths({ nodes }) {
            for (const node of nodes){
                let y0 = node.y0;
                let y1 = y0;
                for (const link of node.sourceLinks){
                    link.y0 = y0 + link.width / 2;
                    y0 += link.width;
                }
                for (const link of node.targetLinks){
                    link.y1 = y1 + link.width / 2;
                    y1 += link.width;
                }
            }
        }
        function Sankey() {
            let x0 = 0, y0 = 0, x1 = 1, y1 = 1;
            let dx = 24;
            let dy = 8, py;
            let id = defaultId;
            let align = justify;
            let sort;
            let linkSort;
            let nodes = defaultNodes;
            let links = defaultLinks;
            let iterations = 6;
            function sankey() {
                const graph = {
                    nodes: nodes.apply(null, arguments),
                    links: links.apply(null, arguments)
                };
                computeNodeLinks(graph);
                computeNodeValues(graph);
                computeNodeDepths(graph);
                computeNodeHeights(graph);
                computeNodeBreadths(graph);
                computeLinkBreadths(graph);
                return graph;
            }
            sankey.update = function(graph) {
                computeLinkBreadths(graph);
                return graph;
            };
            sankey.nodeId = function(_) {
                return arguments.length ? (id = "function" == typeof _ ? _ : constant_constant(_), sankey) : id;
            };
            sankey.nodeAlign = function(_) {
                return arguments.length ? (align = "function" == typeof _ ? _ : constant_constant(_), sankey) : align;
            };
            sankey.nodeSort = function(_) {
                return arguments.length ? (sort = _, sankey) : sort;
            };
            sankey.nodeWidth = function(_) {
                return arguments.length ? (dx = +_, sankey) : dx;
            };
            sankey.nodePadding = function(_) {
                return arguments.length ? (dy = py = +_, sankey) : dy;
            };
            sankey.nodes = function(_) {
                return arguments.length ? (nodes = "function" == typeof _ ? _ : constant_constant(_), sankey) : nodes;
            };
            sankey.links = function(_) {
                return arguments.length ? (links = "function" == typeof _ ? _ : constant_constant(_), sankey) : links;
            };
            sankey.linkSort = function(_) {
                return arguments.length ? (linkSort = _, sankey) : linkSort;
            };
            sankey.size = function(_) {
                return arguments.length ? (x0 = y0 = 0, x1 = +_[0], y1 = +_[1], sankey) : [
                    x1 - x0,
                    y1 - y0
                ];
            };
            sankey.extent = function(_) {
                return arguments.length ? (x0 = +_[0][0], x1 = +_[1][0], y0 = +_[0][1], y1 = +_[1][1], sankey) : [
                    [
                        x0,
                        y0
                    ],
                    [
                        x1,
                        y1
                    ]
                ];
            };
            sankey.iterations = function(_) {
                return arguments.length ? (iterations = +_, sankey) : iterations;
            };
            function computeNodeLinks({ nodes, links }) {
                for (const [i, node] of nodes.entries()){
                    node.index = i;
                    node.sourceLinks = [];
                    node.targetLinks = [];
                }
                const nodeById = new Map(nodes.map((d, i)=>[
                        id(d, i, nodes),
                        d
                    ]));
                for (const [i, link] of links.entries()){
                    link.index = i;
                    let { source, target } = link;
                    if ("object" != typeof source) source = link.source = find(nodeById, source);
                    if ("object" != typeof target) target = link.target = find(nodeById, target);
                    source.sourceLinks.push(link);
                    target.targetLinks.push(link);
                }
                if (null != linkSort) for (const { sourceLinks, targetLinks } of nodes){
                    sourceLinks.sort(linkSort);
                    targetLinks.sort(linkSort);
                }
            }
            function computeNodeValues({ nodes }) {
                for (const node of nodes)node.value = void 0 === node.fixedValue ? Math.max(sum_sum(node.sourceLinks, sankey_value), sum_sum(node.targetLinks, sankey_value)) : node.fixedValue;
            }
            function computeNodeDepths({ nodes }) {
                const n = nodes.length;
                let current = new Set(nodes);
                let next = new Set;
                let x = 0;
                while(current.size){
                    for (const node of current){
                        node.depth = x;
                        for (const { target } of node.sourceLinks)next.add(target);
                    }
                    if (++x > n) throw new Error("circular link");
                    current = next;
                    next = new Set;
                }
            }
            function computeNodeHeights({ nodes }) {
                const n = nodes.length;
                let current = new Set(nodes);
                let next = new Set;
                let x = 0;
                while(current.size){
                    for (const node of current){
                        node.height = x;
                        for (const { source } of node.targetLinks)next.add(source);
                    }
                    if (++x > n) throw new Error("circular link");
                    current = next;
                    next = new Set;
                }
            }
            function computeNodeLayers({ nodes }) {
                const x = max_max(nodes, (d)=>d.depth) + 1;
                const kx = (x1 - x0 - dx) / (x - 1);
                const columns = new Array(x);
                for (const node of nodes){
                    const i = Math.max(0, Math.min(x - 1, Math.floor(align.call(null, node, x))));
                    node.layer = i;
                    node.x0 = x0 + i * kx;
                    node.x1 = node.x0 + dx;
                    if (columns[i]) columns[i].push(node);
                    else columns[i] = [
                        node
                    ];
                }
                if (sort) for (const column of columns)column.sort(sort);
                return columns;
            }
            function initializeNodeBreadths(columns) {
                const ky = min_min(columns, (c)=>(y1 - y0 - (c.length - 1) * py) / sum_sum(c, sankey_value));
                for (const nodes of columns){
                    let y = y0;
                    for (const node of nodes){
                        node.y0 = y;
                        node.y1 = y + node.value * ky;
                        y = node.y1 + py;
                        for (const link of node.sourceLinks)link.width = link.value * ky;
                    }
                    y = (y1 - y + py) / (nodes.length + 1);
                    for(let i = 0; i < nodes.length; ++i){
                        const node = nodes[i];
                        node.y0 += y * (i + 1);
                        node.y1 += y * (i + 1);
                    }
                    reorderLinks(nodes);
                }
            }
            function computeNodeBreadths(graph) {
                const columns = computeNodeLayers(graph);
                py = Math.min(dy, (y1 - y0) / (max_max(columns, (c)=>c.length) - 1));
                initializeNodeBreadths(columns);
                for(let i = 0; i < iterations; ++i){
                    const alpha = Math.pow(0.99, i);
                    const beta = Math.max(1 - alpha, (i + 1) / iterations);
                    relaxRightToLeft(columns, alpha, beta);
                    relaxLeftToRight(columns, alpha, beta);
                }
            }
            function relaxLeftToRight(columns, alpha, beta) {
                for(let i = 1, n = columns.length; i < n; ++i){
                    const column = columns[i];
                    for (const target of column){
                        let y = 0;
                        let w = 0;
                        for (const { source, value } of target.targetLinks){
                            let v = value * (target.layer - source.layer);
                            y += targetTop(source, target) * v;
                            w += v;
                        }
                        if (!(w > 0)) continue;
                        let dy = (y / w - target.y0) * alpha;
                        target.y0 += dy;
                        target.y1 += dy;
                        reorderNodeLinks(target);
                    }
                    if (void 0 === sort) column.sort(ascendingBreadth);
                    resolveCollisions(column, beta);
                }
            }
            function relaxRightToLeft(columns, alpha, beta) {
                for(let n = columns.length, i = n - 2; i >= 0; --i){
                    const column = columns[i];
                    for (const source of column){
                        let y = 0;
                        let w = 0;
                        for (const { target, value } of source.sourceLinks){
                            let v = value * (target.layer - source.layer);
                            y += sourceTop(source, target) * v;
                            w += v;
                        }
                        if (!(w > 0)) continue;
                        let dy = (y / w - source.y0) * alpha;
                        source.y0 += dy;
                        source.y1 += dy;
                        reorderNodeLinks(source);
                    }
                    if (void 0 === sort) column.sort(ascendingBreadth);
                    resolveCollisions(column, beta);
                }
            }
            function resolveCollisions(nodes, alpha) {
                const i = nodes.length >> 1;
                const subject = nodes[i];
                resolveCollisionsBottomToTop(nodes, subject.y0 - py, i - 1, alpha);
                resolveCollisionsTopToBottom(nodes, subject.y1 + py, i + 1, alpha);
                resolveCollisionsBottomToTop(nodes, y1, nodes.length - 1, alpha);
                resolveCollisionsTopToBottom(nodes, y0, 0, alpha);
            }
            function resolveCollisionsTopToBottom(nodes, y, i, alpha) {
                for(; i < nodes.length; ++i){
                    const node = nodes[i];
                    const dy = (y - node.y0) * alpha;
                    if (dy > 1e-6) node.y0 += dy, node.y1 += dy;
                    y = node.y1 + py;
                }
            }
            function resolveCollisionsBottomToTop(nodes, y, i, alpha) {
                for(; i >= 0; --i){
                    const node = nodes[i];
                    const dy = (node.y1 - y) * alpha;
                    if (dy > 1e-6) node.y0 -= dy, node.y1 -= dy;
                    y = node.y0 - py;
                }
            }
            function reorderNodeLinks({ sourceLinks, targetLinks }) {
                if (void 0 === linkSort) {
                    for (const { source: { sourceLinks } } of targetLinks)sourceLinks.sort(ascendingTargetBreadth);
                    for (const { target: { targetLinks } } of sourceLinks)targetLinks.sort(ascendingSourceBreadth);
                }
            }
            function reorderLinks(nodes) {
                if (void 0 === linkSort) for (const { sourceLinks, targetLinks } of nodes){
                    sourceLinks.sort(ascendingTargetBreadth);
                    targetLinks.sort(ascendingSourceBreadth);
                }
            }
            function targetTop(source, target) {
                let y = source.y0 - (source.sourceLinks.length - 1) * py / 2;
                for (const { target: node, width } of source.sourceLinks){
                    if (node === target) break;
                    y += width + py;
                }
                for (const { source: node, width } of target.targetLinks){
                    if (node === source) break;
                    y -= width;
                }
                return y;
            }
            function sourceTop(source, target) {
                let y = target.y0 - (target.targetLinks.length - 1) * py / 2;
                for (const { source: node, width } of target.targetLinks){
                    if (node === source) break;
                    y += width + py;
                }
                for (const { target: node, width } of source.sourceLinks){
                    if (node === target) break;
                    y -= width;
                }
                return y;
            }
            return sankey;
        }
        var pi = Math.PI, tau = 2 * pi, epsilon = 1e-6, tauEpsilon = tau - epsilon;
        function Path() {
            this._x0 = this._y0 = this._x1 = this._y1 = null;
            this._ = "";
        }
        function path() {
            return new Path;
        }
        Path.prototype = path.prototype = {
            constructor: Path,
            moveTo: function(x, y) {
                this._ += "M" + (this._x0 = this._x1 = +x) + "," + (this._y0 = this._y1 = +y);
            },
            closePath: function() {
                if (null !== this._x1) {
                    this._x1 = this._x0, this._y1 = this._y0;
                    this._ += "Z";
                }
            },
            lineTo: function(x, y) {
                this._ += "L" + (this._x1 = +x) + "," + (this._y1 = +y);
            },
            quadraticCurveTo: function(x1, y1, x, y) {
                this._ += "Q" + +x1 + "," + +y1 + "," + (this._x1 = +x) + "," + (this._y1 = +y);
            },
            bezierCurveTo: function(x1, y1, x2, y2, x, y) {
                this._ += "C" + +x1 + "," + +y1 + "," + +x2 + "," + +y2 + "," + (this._x1 = +x) + "," + (this._y1 = +y);
            },
            arcTo: function(x1, y1, x2, y2, r) {
                x1 = +x1, y1 = +y1, x2 = +x2, y2 = +y2, r = +r;
                var x0 = this._x1, y0 = this._y1, x21 = x2 - x1, y21 = y2 - y1, x01 = x0 - x1, y01 = y0 - y1, l01_2 = x01 * x01 + y01 * y01;
                if (r < 0) throw new Error("negative radius: " + r);
                if (null === this._x1) this._ += "M" + (this._x1 = x1) + "," + (this._y1 = y1);
                else if (l01_2 > epsilon) {
                    if (Math.abs(y01 * x21 - y21 * x01) > epsilon && r) {
                        var x20 = x2 - x0, y20 = y2 - y0, l21_2 = x21 * x21 + y21 * y21, l20_2 = x20 * x20 + y20 * y20, l21 = Math.sqrt(l21_2), l01 = Math.sqrt(l01_2), l = r * Math.tan((pi - Math.acos((l21_2 + l01_2 - l20_2) / (2 * l21 * l01))) / 2), t01 = l / l01, t21 = l / l21;
                        if (Math.abs(t01 - 1) > epsilon) this._ += "L" + (x1 + t01 * x01) + "," + (y1 + t01 * y01);
                        this._ += "A" + r + "," + r + ",0,0," + +(y01 * x20 > x01 * y20) + "," + (this._x1 = x1 + t21 * x21) + "," + (this._y1 = y1 + t21 * y21);
                    } else this._ += "L" + (this._x1 = x1) + "," + (this._y1 = y1);
                }
            },
            arc: function(x, y, r, a0, a1, ccw) {
                x = +x, y = +y, r = +r, ccw = !!ccw;
                var dx = r * Math.cos(a0), dy = r * Math.sin(a0), x0 = x + dx, y0 = y + dy, cw = 1 ^ ccw, da = ccw ? a0 - a1 : a1 - a0;
                if (r < 0) throw new Error("negative radius: " + r);
                if (null === this._x1) this._ += "M" + x0 + "," + y0;
                else if (Math.abs(this._x1 - x0) > epsilon || Math.abs(this._y1 - y0) > epsilon) this._ += "L" + x0 + "," + y0;
                if (!r) return;
                if (da < 0) da = da % tau + tau;
                if (da > tauEpsilon) this._ += "A" + r + "," + r + ",0,1," + cw + "," + (x - dx) + "," + (y - dy) + "A" + r + "," + r + ",0,1," + cw + "," + (this._x1 = x0) + "," + (this._y1 = y0);
                else if (da > epsilon) this._ += "A" + r + "," + r + ",0," + +(da >= pi) + "," + cw + "," + (this._x1 = x + r * Math.cos(a1)) + "," + (this._y1 = y + r * Math.sin(a1));
            },
            rect: function(x, y, w, h) {
                this._ += "M" + (this._x0 = this._x1 = +x) + "," + (this._y0 = this._y1 = +y) + "h" + +w + "v" + +h + "h" + -w + "Z";
            },
            toString: function() {
                return this._;
            }
        };
        const src_path = path;
        var slice = Array.prototype.slice;
        function src_constant(x) {
            return function() {
                return x;
            };
        }
        function point_x(p) {
            return p[0];
        }
        function point_y(p) {
            return p[1];
        }
        function linkSource(d) {
            return d.source;
        }
        function linkTarget(d) {
            return d.target;
        }
        function link_link(curve) {
            var source = linkSource, target = linkTarget, x = point_x, y = point_y, context = null;
            function link() {
                var buffer, argv = slice.call(arguments), s = source.apply(this, argv), t = target.apply(this, argv);
                if (!context) context = buffer = src_path();
                curve(context, +x.apply(this, (argv[0] = s, argv)), +y.apply(this, argv), +x.apply(this, (argv[0] = t, argv)), +y.apply(this, argv));
                if (buffer) return context = null, buffer + "" || null;
            }
            link.source = function(_) {
                return arguments.length ? (source = _, link) : source;
            };
            link.target = function(_) {
                return arguments.length ? (target = _, link) : target;
            };
            link.x = function(_) {
                return arguments.length ? (x = "function" == typeof _ ? _ : src_constant(+_), link) : x;
            };
            link.y = function(_) {
                return arguments.length ? (y = "function" == typeof _ ? _ : src_constant(+_), link) : y;
            };
            link.context = function(_) {
                return arguments.length ? (context = null == _ ? null : _, link) : context;
            };
            return link;
        }
        function curveHorizontal(context, x0, y0, x1, y1) {
            context.moveTo(x0, y0);
            context.bezierCurveTo(x0 = (x0 + x1) / 2, y0, x0, y1, x1, y1);
        }
        function linkHorizontal() {
            return link_link(curveHorizontal);
        }
        function horizontalSource(d) {
            return [
                d.source.x1,
                d.y0
            ];
        }
        function horizontalTarget(d) {
            return [
                d.target.x0,
                d.y1
            ];
        }
        function sankeyLinkHorizontal() {
            return linkHorizontal().source(horizontalSource).target(horizontalTarget);
        }
        var parser = function() {
            var o = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(k, v, o2, l) {
                for(o2 = o2 || {}, l = k.length; l--; o2[k[l]] = v);
                return o2;
            }, "o"), $V0 = [
                1,
                9
            ], $V1 = [
                1,
                10
            ], $V2 = [
                1,
                5,
                10,
                12
            ];
            var parser2 = {
                trace: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {}, "trace"),
                yy: {},
                symbols_: {
                    error: 2,
                    start: 3,
                    SANKEY: 4,
                    NEWLINE: 5,
                    csv: 6,
                    opt_eof: 7,
                    record: 8,
                    csv_tail: 9,
                    EOF: 10,
                    "field[source]": 11,
                    COMMA: 12,
                    "field[target]": 13,
                    "field[value]": 14,
                    field: 15,
                    escaped: 16,
                    non_escaped: 17,
                    DQUOTE: 18,
                    ESCAPED_TEXT: 19,
                    NON_ESCAPED_TEXT: 20,
                    $accept: 0,
                    $end: 1
                },
                terminals_: {
                    2: "error",
                    4: "SANKEY",
                    5: "NEWLINE",
                    10: "EOF",
                    11: "field[source]",
                    12: "COMMA",
                    13: "field[target]",
                    14: "field[value]",
                    18: "DQUOTE",
                    19: "ESCAPED_TEXT",
                    20: "NON_ESCAPED_TEXT"
                },
                productions_: [
                    0,
                    [
                        3,
                        4
                    ],
                    [
                        6,
                        2
                    ],
                    [
                        9,
                        2
                    ],
                    [
                        9,
                        0
                    ],
                    [
                        7,
                        1
                    ],
                    [
                        7,
                        0
                    ],
                    [
                        8,
                        5
                    ],
                    [
                        15,
                        1
                    ],
                    [
                        15,
                        1
                    ],
                    [
                        16,
                        3
                    ],
                    [
                        17,
                        1
                    ]
                ],
                performAction: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(yytext, yyleng, yylineno, yy, yystate, $$, _$) {
                    var $0 = $$.length - 1;
                    switch(yystate){
                        case 7:
                            const source = yy.findOrCreateNode($$[$0 - 4].trim().replaceAll('""', '"'));
                            const target = yy.findOrCreateNode($$[$0 - 2].trim().replaceAll('""', '"'));
                            const value = parseFloat($$[$0].trim());
                            yy.addLink(source, target, value);
                            break;
                        case 8:
                        case 9:
                        case 11:
                            this.$ = $$[$0];
                            break;
                        case 10:
                            this.$ = $$[$0 - 1];
                            break;
                    }
                }, "anonymous"),
                table: [
                    {
                        3: 1,
                        4: [
                            1,
                            2
                        ]
                    },
                    {
                        1: [
                            3
                        ]
                    },
                    {
                        5: [
                            1,
                            3
                        ]
                    },
                    {
                        6: 4,
                        8: 5,
                        15: 6,
                        16: 7,
                        17: 8,
                        18: $V0,
                        20: $V1
                    },
                    {
                        1: [
                            2,
                            6
                        ],
                        7: 11,
                        10: [
                            1,
                            12
                        ]
                    },
                    o($V1, [
                        2,
                        4
                    ], {
                        9: 13,
                        5: [
                            1,
                            14
                        ]
                    }),
                    {
                        12: [
                            1,
                            15
                        ]
                    },
                    o($V2, [
                        2,
                        8
                    ]),
                    o($V2, [
                        2,
                        9
                    ]),
                    {
                        19: [
                            1,
                            16
                        ]
                    },
                    o($V2, [
                        2,
                        11
                    ]),
                    {
                        1: [
                            2,
                            1
                        ]
                    },
                    {
                        1: [
                            2,
                            5
                        ]
                    },
                    o($V1, [
                        2,
                        2
                    ]),
                    {
                        6: 17,
                        8: 5,
                        15: 6,
                        16: 7,
                        17: 8,
                        18: $V0,
                        20: $V1
                    },
                    {
                        15: 18,
                        16: 7,
                        17: 8,
                        18: $V0,
                        20: $V1
                    },
                    {
                        18: [
                            1,
                            19
                        ]
                    },
                    o($V1, [
                        2,
                        3
                    ]),
                    {
                        12: [
                            1,
                            20
                        ]
                    },
                    o($V2, [
                        2,
                        10
                    ]),
                    {
                        15: 21,
                        16: 7,
                        17: 8,
                        18: $V0,
                        20: $V1
                    },
                    o([
                        1,
                        5,
                        10
                    ], [
                        2,
                        7
                    ])
                ],
                defaultActions: {
                    11: [
                        2,
                        1
                    ],
                    12: [
                        2,
                        5
                    ]
                },
                parseError: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(str, hash) {
                    if (hash.recoverable) this.trace(str);
                    else {
                        var error = new Error(str);
                        error.hash = hash;
                        throw error;
                    }
                }, "parseError"),
                parse: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(input) {
                    var self = this, stack = [
                        0
                    ], tstack = [], vstack = [
                        null
                    ], lstack = [], table = this.table, yytext = "", yylineno = 0, yyleng = 0, recovering = 0, TERROR = 2, EOF = 1;
                    var args = lstack.slice.call(arguments, 1);
                    var lexer2 = Object.create(this.lexer);
                    var sharedState = {
                        yy: {}
                    };
                    for(var k in this.yy)if (Object.prototype.hasOwnProperty.call(this.yy, k)) sharedState.yy[k] = this.yy[k];
                    lexer2.setInput(input, sharedState.yy);
                    sharedState.yy.lexer = lexer2;
                    sharedState.yy.parser = this;
                    if (void 0 === lexer2.yylloc) lexer2.yylloc = {};
                    var yyloc = lexer2.yylloc;
                    lstack.push(yyloc);
                    var ranges = lexer2.options && lexer2.options.ranges;
                    if ("function" == typeof sharedState.yy.parseError) this.parseError = sharedState.yy.parseError;
                    else this.parseError = Object.getPrototypeOf(this).parseError;
                    function popStack(n) {
                        stack.length = stack.length - 2 * n;
                        vstack.length = vstack.length - n;
                        lstack.length = lstack.length - n;
                    }
                    (0, chunk_6DBFFHIP.eW)(popStack, "popStack");
                    function lex() {
                        var token;
                        token = tstack.pop() || lexer2.lex() || EOF;
                        if ("number" != typeof token) {
                            if (token instanceof Array) {
                                tstack = token;
                                token = tstack.pop();
                            }
                            token = self.symbols_[token] || token;
                        }
                        return token;
                    }
                    (0, chunk_6DBFFHIP.eW)(lex, "lex");
                    var symbol, preErrorSymbol, state, action, r, yyval = {}, p, len, newState, expected;
                    while(true){
                        state = stack[stack.length - 1];
                        if (this.defaultActions[state]) action = this.defaultActions[state];
                        else {
                            if (null == symbol) symbol = lex();
                            action = table[state] && table[state][symbol];
                        }
                        if (void 0 === action || !action.length || !action[0]) {
                            var errStr = "";
                            expected = [];
                            for(p in table[state])if (this.terminals_[p] && p > TERROR) expected.push("'" + this.terminals_[p] + "'");
                            errStr = lexer2.showPosition ? "Parse error on line " + (yylineno + 1) + ":\n" + lexer2.showPosition() + "\nExpecting " + expected.join(", ") + ", got '" + (this.terminals_[symbol] || symbol) + "'" : "Parse error on line " + (yylineno + 1) + ": Unexpected " + (symbol == EOF ? "end of input" : "'" + (this.terminals_[symbol] || symbol) + "'");
                            this.parseError(errStr, {
                                text: lexer2.match,
                                token: this.terminals_[symbol] || symbol,
                                line: lexer2.yylineno,
                                loc: yyloc,
                                expected
                            });
                        }
                        if (action[0] instanceof Array && action.length > 1) throw new Error("Parse Error: multiple actions possible at state: " + state + ", token: " + symbol);
                        switch(action[0]){
                            case 1:
                                stack.push(symbol);
                                vstack.push(lexer2.yytext);
                                lstack.push(lexer2.yylloc);
                                stack.push(action[1]);
                                symbol = null;
                                if (preErrorSymbol) {
                                    symbol = preErrorSymbol;
                                    preErrorSymbol = null;
                                } else {
                                    yyleng = lexer2.yyleng;
                                    yytext = lexer2.yytext;
                                    yylineno = lexer2.yylineno;
                                    yyloc = lexer2.yylloc;
                                    if (recovering > 0) recovering--;
                                }
                                break;
                            case 2:
                                len = this.productions_[action[1]][1];
                                yyval.$ = vstack[vstack.length - len];
                                yyval._$ = {
                                    first_line: lstack[lstack.length - (len || 1)].first_line,
                                    last_line: lstack[lstack.length - 1].last_line,
                                    first_column: lstack[lstack.length - (len || 1)].first_column,
                                    last_column: lstack[lstack.length - 1].last_column
                                };
                                if (ranges) yyval._$.range = [
                                    lstack[lstack.length - (len || 1)].range[0],
                                    lstack[lstack.length - 1].range[1]
                                ];
                                r = this.performAction.apply(yyval, [
                                    yytext,
                                    yyleng,
                                    yylineno,
                                    sharedState.yy,
                                    action[1],
                                    vstack,
                                    lstack
                                ].concat(args));
                                if (void 0 !== r) return r;
                                if (len) {
                                    stack = stack.slice(0, -1 * len * 2);
                                    vstack = vstack.slice(0, -1 * len);
                                    lstack = lstack.slice(0, -1 * len);
                                }
                                stack.push(this.productions_[action[1]][0]);
                                vstack.push(yyval.$);
                                lstack.push(yyval._$);
                                newState = table[stack[stack.length - 2]][stack[stack.length - 1]];
                                stack.push(newState);
                                break;
                            case 3:
                                return true;
                        }
                    }
                    return true;
                }, "parse")
            };
            var lexer = /* @__PURE__ */ function() {
                var lexer2 = {
                    EOF: 1,
                    parseError: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(str, hash) {
                        if (this.yy.parser) this.yy.parser.parseError(str, hash);
                        else throw new Error(str);
                    }, "parseError"),
                    setInput: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(input, yy) {
                        this.yy = yy || this.yy || {};
                        this._input = input;
                        this._more = this._backtrack = this.done = false;
                        this.yylineno = this.yyleng = 0;
                        this.yytext = this.matched = this.match = "";
                        this.conditionStack = [
                            "INITIAL"
                        ];
                        this.yylloc = {
                            first_line: 1,
                            first_column: 0,
                            last_line: 1,
                            last_column: 0
                        };
                        if (this.options.ranges) this.yylloc.range = [
                            0,
                            0
                        ];
                        this.offset = 0;
                        return this;
                    }, "setInput"),
                    input: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var ch = this._input[0];
                        this.yytext += ch;
                        this.yyleng++;
                        this.offset++;
                        this.match += ch;
                        this.matched += ch;
                        var lines = ch.match(/(?:\r\n?|\n).*/g);
                        if (lines) {
                            this.yylineno++;
                            this.yylloc.last_line++;
                        } else this.yylloc.last_column++;
                        if (this.options.ranges) this.yylloc.range[1]++;
                        this._input = this._input.slice(1);
                        return ch;
                    }, "input"),
                    unput: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(ch) {
                        var len = ch.length;
                        var lines = ch.split(/(?:\r\n?|\n)/g);
                        this._input = ch + this._input;
                        this.yytext = this.yytext.substr(0, this.yytext.length - len);
                        this.offset -= len;
                        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
                        this.match = this.match.substr(0, this.match.length - 1);
                        this.matched = this.matched.substr(0, this.matched.length - 1);
                        if (lines.length - 1) this.yylineno -= lines.length - 1;
                        var r = this.yylloc.range;
                        this.yylloc = {
                            first_line: this.yylloc.first_line,
                            last_line: this.yylineno + 1,
                            first_column: this.yylloc.first_column,
                            last_column: lines ? (lines.length === oldLines.length ? this.yylloc.first_column : 0) + oldLines[oldLines.length - lines.length].length - lines[0].length : this.yylloc.first_column - len
                        };
                        if (this.options.ranges) this.yylloc.range = [
                            r[0],
                            r[0] + this.yyleng - len
                        ];
                        this.yyleng = this.yytext.length;
                        return this;
                    }, "unput"),
                    more: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        this._more = true;
                        return this;
                    }, "more"),
                    reject: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        if (!this.options.backtrack_lexer) return this.parseError("Lexical error on line " + (this.yylineno + 1) + ". You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n" + this.showPosition(), {
                            text: "",
                            token: null,
                            line: this.yylineno
                        });
                        this._backtrack = true;
                        return this;
                    }, "reject"),
                    less: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(n) {
                        this.unput(this.match.slice(n));
                    }, "less"),
                    pastInput: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var past = this.matched.substr(0, this.matched.length - this.match.length);
                        return (past.length > 20 ? "..." : "") + past.substr(-20).replace(/\n/g, "");
                    }, "pastInput"),
                    upcomingInput: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var next = this.match;
                        if (next.length < 20) next += this._input.substr(0, 20 - next.length);
                        return (next.substr(0, 20) + (next.length > 20 ? "..." : "")).replace(/\n/g, "");
                    }, "upcomingInput"),
                    showPosition: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var pre = this.pastInput();
                        var c = new Array(pre.length + 1).join("-");
                        return pre + this.upcomingInput() + "\n" + c + "^";
                    }, "showPosition"),
                    test_match: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(match, indexed_rule) {
                        var token, lines, backup;
                        if (this.options.backtrack_lexer) {
                            backup = {
                                yylineno: this.yylineno,
                                yylloc: {
                                    first_line: this.yylloc.first_line,
                                    last_line: this.last_line,
                                    first_column: this.yylloc.first_column,
                                    last_column: this.yylloc.last_column
                                },
                                yytext: this.yytext,
                                match: this.match,
                                matches: this.matches,
                                matched: this.matched,
                                yyleng: this.yyleng,
                                offset: this.offset,
                                _more: this._more,
                                _input: this._input,
                                yy: this.yy,
                                conditionStack: this.conditionStack.slice(0),
                                done: this.done
                            };
                            if (this.options.ranges) backup.yylloc.range = this.yylloc.range.slice(0);
                        }
                        lines = match[0].match(/(?:\r\n?|\n).*/g);
                        if (lines) this.yylineno += lines.length;
                        this.yylloc = {
                            first_line: this.yylloc.last_line,
                            last_line: this.yylineno + 1,
                            first_column: this.yylloc.last_column,
                            last_column: lines ? lines[lines.length - 1].length - lines[lines.length - 1].match(/\r?\n?/)[0].length : this.yylloc.last_column + match[0].length
                        };
                        this.yytext += match[0];
                        this.match += match[0];
                        this.matches = match;
                        this.yyleng = this.yytext.length;
                        if (this.options.ranges) this.yylloc.range = [
                            this.offset,
                            this.offset += this.yyleng
                        ];
                        this._more = false;
                        this._backtrack = false;
                        this._input = this._input.slice(match[0].length);
                        this.matched += match[0];
                        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1]);
                        if (this.done && this._input) this.done = false;
                        if (token) return token;
                        if (this._backtrack) for(var k in backup)this[k] = backup[k];
                        return false;
                    }, "test_match"),
                    next: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        if (this.done) return this.EOF;
                        if (!this._input) this.done = true;
                        var token, match, tempMatch, index;
                        if (!this._more) {
                            this.yytext = "";
                            this.match = "";
                        }
                        var rules = this._currentRules();
                        for(var i = 0; i < rules.length; i++){
                            tempMatch = this._input.match(this.rules[rules[i]]);
                            if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
                                match = tempMatch;
                                index = i;
                                if (this.options.backtrack_lexer) {
                                    token = this.test_match(tempMatch, rules[i]);
                                    if (false !== token) return token;
                                    if (!this._backtrack) return false;
                                    match = false;
                                    continue;
                                }
                                if (!this.options.flex) break;
                            }
                        }
                        if (match) {
                            token = this.test_match(match, rules[index]);
                            if (false !== token) return token;
                            return false;
                        }
                        if ("" === this._input) return this.EOF;
                        return this.parseError("Lexical error on line " + (this.yylineno + 1) + ". Unrecognized text.\n" + this.showPosition(), {
                            text: "",
                            token: null,
                            line: this.yylineno
                        });
                    }, "next"),
                    lex: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var r = this.next();
                        if (r) return r;
                        return this.lex();
                    }, "lex"),
                    begin: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(condition) {
                        this.conditionStack.push(condition);
                    }, "begin"),
                    popState: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        var n = this.conditionStack.length - 1;
                        if (n > 0) return this.conditionStack.pop();
                        return this.conditionStack[0];
                    }, "popState"),
                    _currentRules: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) return this.conditions[this.conditionStack[this.conditionStack.length - 1]].rules;
                        return this.conditions["INITIAL"].rules;
                    }, "_currentRules"),
                    topState: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(n) {
                        n = this.conditionStack.length - 1 - Math.abs(n || 0);
                        if (n >= 0) return this.conditionStack[n];
                        return "INITIAL";
                    }, "topState"),
                    pushState: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(condition) {
                        this.begin(condition);
                    }, "pushState"),
                    stateStackSize: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function() {
                        return this.conditionStack.length;
                    }, "stateStackSize"),
                    options: {
                        "case-insensitive": true
                    },
                    performAction: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(yy, yy_, $avoiding_name_collisions, YY_START) {
                        switch($avoiding_name_collisions){
                            case 0:
                                this.pushState("csv");
                                return 4;
                            case 1:
                                return 10;
                            case 2:
                                return 5;
                            case 3:
                                return 12;
                            case 4:
                                this.pushState("escaped_text");
                                return 18;
                            case 5:
                                return 20;
                            case 6:
                                this.popState("escaped_text");
                                return 18;
                            case 7:
                                return 19;
                        }
                    }, "anonymous"),
                    rules: [
                        /^(?:sankey-beta\b)/i,
                        /^(?:$)/i,
                        /^(?:((\u000D\u000A)|(\u000A)))/i,
                        /^(?:(\u002C))/i,
                        /^(?:(\u0022))/i,
                        /^(?:([\u0020-\u0021\u0023-\u002B\u002D-\u007E])*)/i,
                        /^(?:(\u0022)(?!(\u0022)))/i,
                        /^(?:(([\u0020-\u0021\u0023-\u002B\u002D-\u007E])|(\u002C)|(\u000D)|(\u000A)|(\u0022)(\u0022))*)/i
                    ],
                    conditions: {
                        csv: {
                            rules: [
                                1,
                                2,
                                3,
                                4,
                                5,
                                6,
                                7
                            ],
                            inclusive: false
                        },
                        escaped_text: {
                            rules: [
                                6,
                                7
                            ],
                            inclusive: false
                        },
                        INITIAL: {
                            rules: [
                                0,
                                1,
                                2,
                                3,
                                4,
                                5,
                                6,
                                7
                            ],
                            inclusive: true
                        }
                    }
                };
                return lexer2;
            }();
            parser2.lexer = lexer;
            function Parser() {
                this.yy = {};
            }
            (0, chunk_6DBFFHIP.eW)(Parser, "Parser");
            Parser.prototype = parser2;
            parser2.Parser = Parser;
            return new Parser();
        }();
        parser.parser = parser;
        var sankey_default = parser;
        var sankeyDiagram_Y46BX6SQ_links = [];
        var sankeyDiagram_Y46BX6SQ_nodes = [];
        var nodesMap = /* @__PURE__ */ new Map();
        var clear2 = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(()=>{
            sankeyDiagram_Y46BX6SQ_links = [];
            sankeyDiagram_Y46BX6SQ_nodes = [];
            nodesMap = /* @__PURE__ */ new Map();
            (0, chunk_6DBFFHIP.ZH)();
        }, "clear");
        var SankeyLink = class {
            constructor(source, target, value = 0){
                this.source = source;
                this.target = target;
                this.value = value;
            }
            static{
                (0, chunk_6DBFFHIP.eW)(this, "SankeyLink");
            }
        };
        var addLink = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((source, target, value)=>{
            sankeyDiagram_Y46BX6SQ_links.push(new SankeyLink(source, target, value));
        }, "addLink");
        var SankeyNode = class {
            constructor(ID){
                this.ID = ID;
            }
            static{
                (0, chunk_6DBFFHIP.eW)(this, "SankeyNode");
            }
        };
        var findOrCreateNode = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((ID)=>{
            ID = chunk_6DBFFHIP.SY.sanitizeText(ID, (0, chunk_6DBFFHIP.nV)());
            let node = nodesMap.get(ID);
            if (void 0 === node) {
                node = new SankeyNode(ID);
                nodesMap.set(ID, node);
                sankeyDiagram_Y46BX6SQ_nodes.push(node);
            }
            return node;
        }, "findOrCreateNode");
        var getNodes = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(()=>sankeyDiagram_Y46BX6SQ_nodes, "getNodes");
        var getLinks = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(()=>sankeyDiagram_Y46BX6SQ_links, "getLinks");
        var getGraph = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(()=>({
                nodes: sankeyDiagram_Y46BX6SQ_nodes.map((node)=>({
                        id: node.ID
                    })),
                links: sankeyDiagram_Y46BX6SQ_links.map((link)=>({
                        source: link.source.ID,
                        target: link.target.ID,
                        value: link.value
                    }))
            }), "getGraph");
        var sankeyDB_default = {
            nodesMap,
            getConfig: /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(()=>(0, chunk_6DBFFHIP.nV)().sankey, "getConfig"),
            getNodes,
            getLinks,
            getGraph,
            addLink,
            findOrCreateNode,
            getAccTitle: chunk_6DBFFHIP.eu,
            setAccTitle: chunk_6DBFFHIP.GN,
            getAccDescription: chunk_6DBFFHIP.Mx,
            setAccDescription: chunk_6DBFFHIP.U$,
            getDiagramTitle: chunk_6DBFFHIP.Kr,
            setDiagramTitle: chunk_6DBFFHIP.g2,
            clear: clear2
        };
        var Uid = class _Uid {
            static{
                (0, chunk_6DBFFHIP.eW)(this, "Uid");
            }
            static{
                this.count = 0;
            }
            static next(name) {
                return new _Uid(name + ++_Uid.count);
            }
            constructor(id){
                this.id = id;
                this.href = `#${id}`;
            }
            toString() {
                return "url(" + this.href + ")";
            }
        };
        var alignmentsMap = {
            left: left,
            right: right,
            center: center,
            justify: justify
        };
        var draw = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(function(text, id, _version, diagObj) {
            const { securityLevel, sankey: conf } = (0, chunk_6DBFFHIP.nV)();
            const defaultSankeyConfig = chunk_6DBFFHIP.Fy.sankey;
            let sandboxElement;
            if ("sandbox" === securityLevel) sandboxElement = (0, src.Ys)("#i" + id);
            const root = "sandbox" === securityLevel ? (0, src.Ys)(sandboxElement.nodes()[0].contentDocument.body) : (0, src.Ys)("body");
            const svg = "sandbox" === securityLevel ? root.select(`[id="${id}"]`) : (0, src.Ys)(`[id="${id}"]`);
            const width = conf?.width ?? defaultSankeyConfig.width;
            const height = conf?.height ?? defaultSankeyConfig.width;
            const useMaxWidth = conf?.useMaxWidth ?? defaultSankeyConfig.useMaxWidth;
            const nodeAlignment = conf?.nodeAlignment ?? defaultSankeyConfig.nodeAlignment;
            const prefix = conf?.prefix ?? defaultSankeyConfig.prefix;
            const suffix = conf?.suffix ?? defaultSankeyConfig.suffix;
            const showValues = conf?.showValues ?? defaultSankeyConfig.showValues;
            const graph = diagObj.db.getGraph();
            const nodeAlign = alignmentsMap[nodeAlignment];
            const nodeWidth = 10;
            const sankey = Sankey().nodeId((d)=>d.id).nodeWidth(nodeWidth).nodePadding(10 + (showValues ? 15 : 0)).nodeAlign(nodeAlign).extent([
                [
                    0,
                    0
                ],
                [
                    width,
                    height
                ]
            ]);
            sankey(graph);
            const colorScheme = (0, src.PKp)(src.K2I);
            svg.append("g").attr("class", "nodes").selectAll(".node").data(graph.nodes).join("g").attr("class", "node").attr("id", (d)=>(d.uid = Uid.next("node-")).id).attr("transform", function(d) {
                return "translate(" + d.x0 + "," + d.y0 + ")";
            }).attr("x", (d)=>d.x0).attr("y", (d)=>d.y0).append("rect").attr("height", (d)=>d.y1 - d.y0).attr("width", (d)=>d.x1 - d.x0).attr("fill", (d)=>colorScheme(d.id));
            const getText = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)(({ id: id2, value })=>{
                if (!showValues) return id2;
                return `${id2}
${prefix}${Math.round(100 * value) / 100}${suffix}`;
            }, "getText");
            svg.append("g").attr("class", "node-labels").attr("font-family", "sans-serif").attr("font-size", 14).selectAll("text").data(graph.nodes).join("text").attr("x", (d)=>d.x0 < width / 2 ? d.x1 + 6 : d.x0 - 6).attr("y", (d)=>(d.y1 + d.y0) / 2).attr("dy", `${showValues ? "0" : "0.35"}em`).attr("text-anchor", (d)=>d.x0 < width / 2 ? "start" : "end").text(getText);
            const link = svg.append("g").attr("class", "links").attr("fill", "none").attr("stroke-opacity", 0.5).selectAll(".link").data(graph.links).join("g").attr("class", "link").style("mix-blend-mode", "multiply");
            const linkColor = conf?.linkColor ?? "gradient";
            if ("gradient" === linkColor) {
                const gradient = link.append("linearGradient").attr("id", (d)=>(d.uid = Uid.next("linearGradient-")).id).attr("gradientUnits", "userSpaceOnUse").attr("x1", (d)=>d.source.x1).attr("x2", (d)=>d.target.x0);
                gradient.append("stop").attr("offset", "0%").attr("stop-color", (d)=>colorScheme(d.source.id));
                gradient.append("stop").attr("offset", "100%").attr("stop-color", (d)=>colorScheme(d.target.id));
            }
            let coloring;
            switch(linkColor){
                case "gradient":
                    coloring = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((d)=>d.uid, "coloring");
                    break;
                case "source":
                    coloring = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((d)=>colorScheme(d.source.id), "coloring");
                    break;
                case "target":
                    coloring = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((d)=>colorScheme(d.target.id), "coloring");
                    break;
                default:
                    coloring = linkColor;
            }
            link.append("path").attr("d", sankeyLinkHorizontal()).attr("stroke", coloring).attr("stroke-width", (d)=>Math.max(1, d.width));
            (0, chunk_6DBFFHIP.j7)(void 0, svg, 0, useMaxWidth);
        }, "draw");
        var sankeyRenderer_default = {
            draw
        };
        var prepareTextForParsing = /* @__PURE__ */ (0, chunk_6DBFFHIP.eW)((text)=>{
            const textToParse = text.replaceAll(/^[^\S\n\r]+|[^\S\n\r]+$/g, "").replaceAll(/([\n\r])+/g, "\n").trim();
            return textToParse;
        }, "prepareTextForParsing");
        var originalParse = sankey_default.parse.bind(sankey_default);
        sankey_default.parse = (text)=>originalParse(prepareTextForParsing(text));
        var diagram = {
            parser: sankey_default,
            db: sankeyDB_default,
            renderer: sankeyRenderer_default
        };
    }
};
